package com.jisco.dynamicweight.dynamicbasecamera.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="null")
public class DynamicBaseCamera implements IBasePO<String> {
    /**
     * 摄像头编号（ID）(CAMERA_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="摄像头编号（ID）",required=true)
    private String cameraNo;

    /**
     * 名称(NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="名称",required=true)
    private String name;

    /**
     * 流媒体IP(MS_IP,VARCHAR,15)
     */
    @ApiModelProperty(value="流媒体IP",required=false)
    private String msIp;

    /**
     * 硬盘录像机IP(NVR_IP,VARCHAR,15)
     */
    @ApiModelProperty(value="硬盘录像机IP",required=false)
    private String nvrIp;

    /**
     * 流媒体端口号(MS_PORT,DECIMAL,38)
     */
    @ApiModelProperty(value="流媒体端口号",required=false)
    private BigDecimal msPort;

    /**
     * 流媒体通道号(MS_CHANNEL,DECIMAL,38)
     */
    @ApiModelProperty(value="流媒体通道号",required=false)
    private BigDecimal msChannel;

    /**
     * 摄像头IP(CAMERA_IP,VARCHAR,15)
     */
    @ApiModelProperty(value="摄像头IP",required=false)
    private String cameraIp;

    /**
     * RSTP端口(RSTP_PORT,DECIMAL,0)
     */
    @ApiModelProperty(value="RSTP端口",required=true)
    private Short rstpPort;

    /**
     * 码流类型(VEDIO_TYPE,DECIMAL,0)
     */
    @ApiModelProperty(value="码流类型",required=true)
    private Short vedioType;

    /**
     * 摄像头通道号(CAMERA_CHANNEL,DECIMAL,0)
     */
    @ApiModelProperty(value="摄像头通道号",required=true)
    private Short cameraChannel;

    /**
     * 用户名(USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="用户名",required=true)
    private String username;

    /**
     * 密码(PASSWORD,VARCHAR,20)
     */
    @ApiModelProperty(value="密码",required=true)
    private String password;

    /**
     * 摄像头厂家(MANUFACTURER,VARCHAR,30)
     */
    @ApiModelProperty(value="摄像头厂家",required=true)
    private String manufacturer;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 状态（0：无效；1:有效）(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0：无效；1:有效）",required=true)
    private String validFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.cameraNo;
    }

    @Override
    public void setId(String cameraNo) {
        this.cameraNo = cameraNo == null ? null : cameraNo.trim();
    }

    public String getCameraNo() {
        return cameraNo;
    }

    public void setCameraNo(String cameraNo) {
        this.cameraNo = cameraNo == null ? null : cameraNo.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getMsIp() {
        return msIp;
    }

    public void setMsIp(String msIp) {
        this.msIp = msIp == null ? null : msIp.trim();
    }

    public String getNvrIp() {
        return nvrIp;
    }

    public void setNvrIp(String nvrIp) {
        this.nvrIp = nvrIp == null ? null : nvrIp.trim();
    }

    public BigDecimal getMsPort() {
        return msPort;
    }

    public void setMsPort(BigDecimal msPort) {
        this.msPort = msPort;
    }

    public BigDecimal getMsChannel() {
        return msChannel;
    }

    public void setMsChannel(BigDecimal msChannel) {
        this.msChannel = msChannel;
    }

    public String getCameraIp() {
        return cameraIp;
    }

    public void setCameraIp(String cameraIp) {
        this.cameraIp = cameraIp == null ? null : cameraIp.trim();
    }

    public Short getRstpPort() {
        return rstpPort;
    }

    public void setRstpPort(Short rstpPort) {
        this.rstpPort = rstpPort;
    }

    public Short getVedioType() {
        return vedioType;
    }

    public void setVedioType(Short vedioType) {
        this.vedioType = vedioType;
    }

    public Short getCameraChannel() {
        return cameraChannel;
    }

    public void setCameraChannel(Short cameraChannel) {
        this.cameraChannel = cameraChannel;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username == null ? null : username.trim();
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password == null ? null : password.trim();
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer == null ? null : manufacturer.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", cameraNo=").append(cameraNo);
        sb.append(", name=").append(name);
        sb.append(", msIp=").append(msIp);
        sb.append(", nvrIp=").append(nvrIp);
        sb.append(", msPort=").append(msPort);
        sb.append(", msChannel=").append(msChannel);
        sb.append(", cameraIp=").append(cameraIp);
        sb.append(", rstpPort=").append(rstpPort);
        sb.append(", vedioType=").append(vedioType);
        sb.append(", cameraChannel=").append(cameraChannel);
        sb.append(", username=").append(username);
        sb.append(", password=").append(password);
        sb.append(", manufacturer=").append(manufacturer);
        sb.append(", memo=").append(memo);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}